'use strict';
//      
const treeProcessor = (m => m.__esModule ? m.default : m)(require('./treeProcessor'))

// FIXME: Fake type just for documentation purposes.
                        // Asciidoctor::Extensions::Registry

/** Version of this module. */
const VERSION = '0.1.1'
exports.VERSION = VERSION

/**
 * @param registry The extensions registry to register this extension into.
 */
function register (registry          ) {
  if (typeof registry.register === 'function') {
    registry.register(function () {
      this.treeProcessor(treeProcessor)
    })
  } else if (typeof registry.block === 'function') {
    registry.treeProcessor(treeProcessor)
  }
  return registry
}
exports.register = register
